/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/cli/enumeration/LowerCaseCliEnumTransformer.java#1 $
 * 
 * Copyright (c) 2008 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.cli.enumeration;


/**
 * CliEnumTransformer whose CLI options are the lower case values of the enumeration value name.
 * 
 * Example:  Enum.CONSTANT <=> "constant"
 * 
 * @author philipc
 * @version $Revision: #1 $ $Date: 2010/08/20 $
 */
public class LowerCaseCliEnumTransformer extends AbstractCliEnumTransformer {

    public String enumToCliOption(Enum<?> enumerationValue) {
        return enumerationValue.name().toLowerCase();
    }
    
}
