/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/credentials/Credential.java#1 $
 * 
 * Copyright (c) 2007 Network Appliance, Inc. 
 * All rights reserved.
 */
package com.netapp.common.credentials;

import javax.xml.bind.annotation.XmlType;

/**
 * Wraps a credential key and password.
 * 
 * @author joshb
 *
 */
@XmlType
public class Credential {
    private CredentialKey key;
    private String password;
    
    public Credential(CredentialKey key, String password) {
        setKey(key);
        setPassword(password);
    }

    protected Credential() {
    }

    public CredentialKey getKey() {
        return key;
    }

    protected void setKey(CredentialKey key) {
        this.key = key;
    }

    public String getPassword() {
        return password;
    }

    protected void setPassword(String password) {
        this.password = password;
    }
}
