/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/util/SafeCallable.java#1 $
 * 
 * Copyright (c) 2008 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.util;

/**
 * Similar to {@link java.util.concurrent.Callable} except the
 * {@link #call()} method on this interface is not declared to 
 * throw Exception
 * 
 * @author sirianni
 * @version $Revision: #1 $ $Date: 2010/08/20 $
 */
public interface SafeCallable<V> {

    /**
     * Computes a result
     *
     * @return computed result
     */
    V call();
    
}
