/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/flow/CancelException.java#1 $
 * 
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.flow;

import com.netapp.common.MsgKey;
import com.netapp.common.logging.MessageBundle;
/**
 * Thrown when a workflow notices the user has requested a cancel.
 *
 * @author sunday
 * @version $Revision: #1 $ $Date: 2010/08/20 $
 */
public class CancelException extends RuntimeException {

    /**
     * 
     */
    private static final long serialVersionUID = 1L;
    public CancelException() {
        super(MessageBundle.localizeMessage(MsgKey.FLOW_OPERATION_CANCEL));
    }
}
