/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/platform/MountpointMapper.java#1 $
 * 
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.platform;

import java.io.File;
import java.util.Map;
import java.util.Set;


/**
 * Object capable of mapping a set of files to their mountpoints
 * 
 * @author sirianni
 * @version $Revision: #1 $ $Date: 2010/08/20 $
 */
public interface MountpointMapper {

    /**
     * Map a set of files to their mountpoints
     *  
     * @param files Files to be mapped to their mountpoints 
     * @return A Map of File > Mountpoint
     */
    Map<File, File> map(Set<File> files);
    
}
