/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/ws/security/NullTrustManager.java#1 $
 *
 * Copyright (c) 2008 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.ws.security;

import java.security.cert.CertificateException;
import java.security.cert.X509Certificate;

import javax.net.ssl.X509TrustManager;

/**
 * Trust manager to ignore SSL certificate chains.
 * @author sunday
 * @version $Revision: #1 $ $Date: 2010/08/20 $
 */
public class NullTrustManager implements X509TrustManager {
    private static final X509Certificate[] ACCEPTED_ISSUERS = new X509Certificate[0];

    public void checkClientTrusted(X509Certificate[] chain, String authType) throws CertificateException {
    }

    public void checkServerTrusted(X509Certificate[] chain, String authType) throws CertificateException {
    }

    public X509Certificate[] getAcceptedIssuers() {
        return ACCEPTED_ISSUERS;
    }

}
